package main

import (
	"fmt"
	"net/http"
	"time"
)

func main() {
	http.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		fmt.Fprintf(w, "Method: %s\n", r.Method)
		fmt.Fprintf(w, "Referer: %s\n", r.Referer())
		fmt.Fprintf(w, "Time: %v\n", time.Now())
	})

	// 演習
	http.HandleFunc("/lessons", func(w http.ResponseWriter, r *http.Request) {
		lessons := `
<h1>Go入門</h1>
<ol>
<li>入門編</li>
<li>応用編</li>
<li>実践編</li>
</ol>
`
		fmt.Fprint(w, lessons)
	})

	http.ListenAndServe(":8080", nil)
}
