# Go のインストール（macOS）

ここでは macOS 向けの Go のインストール手順について解説します。Windows については [「Go のインストール（Windows）」](../mac/for-macos.md) をご確認ください。

ここではバージョン `1.20.1` を対象としていますが、手順通りに進めればその時点での最新バージョンがインストールされます。

## 1. インストーラーのダウンロード

https://go.dev にアクセスして「Download」をクリックします。

![go.dev](images/01.png)

インストーラーを選択します。`Microsoft Windows` を選択します。

![download](images/02.png)

## 2. インストール

ダウンロードした `go1.20.1.windows-amd64.msi` を開きます。

インストーラーが起動するので `Next` をクリックします。

![introduction](images/03.png)

ライセンスを確認します。`I accept the terms in the License Agreement` を選択して `Next` をクリックします。

![destination](images/04.png)

インストールするディレクトリを選択します。そのまま `Next` をクリックしてインストールを実行します。

![installation type](images/05.png)

インストールが実行されるのでしばらく待ちます。

![installling](images/06.png)

次のような画面が出れば完了です。`Finish` をクリックして終了です。

![The install was successful.](images/07.png)